Re: Could not load SSL library.

Giganews Newsgroups
Subject: Re: Could not load SSL library.
Posted by:  Remy Lebeau (TeamB) (no.spam@no.spam.com)
Date: Tue, 20 Jun 2006

"Ivan" <iv…@email.com> wrote in message
news:CB8A095116FDE240iv…@email.com...

> is Indy expecting some specific version of SSL libraries ?

That depends on which version of Indy you are using.  Indy 9 and older
builds of Indy 10 (not use about Indy 8 and older) used a custom version of
those DLLs, not the official DLLs.  Download links are at
http://www.indyproject.org/Sockets/SSL.en.aspx.  Newer builds of Indy 10 use
the official DLLs fromhttp://www.openssl.org now.

> I always get error
>  EIdOSSLCouldNotLoadSSLLibrary-Could not load SSL library.

That could happen for a number of reasons.  Either the DLLs themselves
cannot be found on the OS's search path.  Or they do not export everything
that Indy is looking for.  Or there was an error during initialization.

Gambit

Replies

In response to

Could not load SSL library. posted by Ivan on Tue, 20 Jun 2006